makeSection {oce} | R Documentation

## Bind CTD profiles together into a cross section [DEPRECATED]

### Description

Combine a series of CTD profiles together to create a section. This function is deprecated, meaning that it will be removed two CRAN releases from now. Please use `as.section` instead.

### Usage

    makeSection(item, ...)

### Arguments

`item` | either (1) a `ctd` object, in which case the rest of the arguments are other `ctd` objects, (2) a list of `ctd` objects, (3) a list of names of `ctd` objects, or (4) a list of names of files containing `ctd` data.
`...` | one or more `ctd` objects, either given as separate arguments, or a list of such objects.

### Details

The stations are stored in order of the station identification number (stored as `metadata$station` in the ctd object), if possible. The `ctd` stations must share identical pressure values; use `sectionGrid` to do that.

### Value

An object of `class` `section`.

### Author(s)

Dan Kelley

### See Also

See `section-class` for information on section objects and functions that deal with them.

### Examples

    library(oce)
    data(ctd)
    ctd2 <- ctd
    ctd2[["temperature"]] <- ctd[["temperature"]] + 0.5
    ctd2[["salinity"]] <- ctd[["salinity"]] + 0.1
    ctd2[["longitude"]] <- ctd[["longitude"]] + 0.01
    section <- makeSection(ctd, ctd2)
    summary(section)
    # Below is how to create a section from well-named CSV files
    # that contain consecutive stations
    ## Not run:
        plot(sectionSmooth(sectionGrid(makeSection(dir("*.csv")))))

    ## End(Not run)

[Package oce version 0.9-18 Index]